Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.beans
Class AbstractBean

    java.lang.Object
      org.monte.media.beans.AbstractBean

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AbstractMovie, DefaultColorAdjustModel

    public class AbstractBean

extends java.lang.Object
implements java.io.Serializable

Abstract class for models that have to support property change listeners.

Implements the methods required for adding and removing property change listeners.

Version:
  1.1 2004-01-18
  1.0 2001-08-04
Author:
  Werner Randelshofer
See Also:
  Serialized Form

Field Summary
`protected java.beans.PropertyChangeSupport` | `propertySupport`

Constructor Summary
`AbstractBean()`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `addPropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener)`
`protected void` | `firePropertyChange(java.lang.String propertyName, boolean oldValue, boolean newValue)`
`protected void` | `firePropertyChange(java.lang.String propertyName, int oldValue, int newValue)`
`protected void` | `firePropertyChange(java.lang.String propertyName, java.lang.Object oldValue, java.lang.Object newValue)`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `removePropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertySupport

    protected java.beans.PropertyChangeSupport propertySupport

Constructor Detail

### AbstractBean

    public AbstractBean()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  See Also:
    `PropertyChangeSupport.addPropertyChangeListener(PropertyChangeListener)`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.lang.String propertyName,
                                          java.beans.PropertyChangeListener listener)

  See Also:
    `PropertyChangeSupport.addPropertyChangeListener(String, PropertyChangeListener)`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  See Also:
    `PropertyChangeSupport.removePropertyChangeListener(PropertyChangeListener)`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.lang.String propertyName,
                                             java.beans.PropertyChangeListener listener)

  See Also:
    `PropertyChangeSupport.removePropertyChangeListener(String, PropertyChangeListener)`

### firePropertyChange

    protected void firePropertyChange(java.lang.String propertyName,
                                      boolean oldValue,
                                      boolean newValue)

### firePropertyChange

    protected void firePropertyChange(java.lang.String propertyName,
                                      int oldValue,
                                      int newValue)

### firePropertyChange

    protected void firePropertyChange(java.lang.String propertyName,
                                      java.lang.Object oldValue,
                                      java.lang.Object newValue)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD